Name:           eina
Version:        0.7.3
Release:        6%{?dist}
Summary:        A classic player for a modern era

Group:          Applications/Multimedia
License:        GPLv2+
URL:            http://eina.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Patch0:         eina-0.7.3-gtkversion.patch
Patch1:         eina-0.7.3-gtkvolume.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 
BuildRequires:  gstreamer-devel 
BuildRequires:  intltool 
BuildRequires:  gtk2-devel
BuildRequires:  dbus-glib-devel
BuildRequires:  unique-devel
BuildRequires:  sqlite-devel
BuildRequires:  desktop-file-utils
      

%description
Eina works like a common portable music player. Just plays what you want 
to listen.

Apart from simplicity, today users expect more from a player than just 
reading files. Artwork, lyrics, network support, artist data and other 
music information find their right place in Eina.

Plugins can take care of all the extra functionality, since Eina exposes 
everything from its internals. It's fairly easy to extend the player 
capabilities and change the way it works inside. Feel free to request new 
features and make things the way you like. 


%package devel
Summary:    A Eina development environment
Group:      Development/Languages
Requires:   %{name} = %{version}-%{release}
Requires:   pkgconfig

%description devel
Header files and libraries for building a extension library for the
Eina.

%prep
%setup -q
# This patch disable gtk 2.15 check
%patch0 -p1 -b .gtkversion
# Gtk volume
%patch1 -p1 -b .gtkvolume

%build
%configure --disable-static

# Remove Rpath
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

make %{?_smp_mflags} CFLAGS="$RPM_OPT_FLAGS"


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang %{name}

# desktop-install
desktop-file-install \
--add-category="AudioVideo" \
--dir=$RPM_BUILD_ROOT%{_datadir}/applications \
$RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop


# clean-up .la archives
rm $RPM_BUILD_ROOT%{_libdir}/eina/*/*.la
rm $RPM_BUILD_ROOT%{_libdir}/*.la


%clean
rm -rf $RPM_BUILD_ROOT

%post 
/sbin/ldconfig
update-desktop-database &> /dev/null || :

%postun
/sbin/ldconfig
update-desktop-database &> /dev/null || :

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING COPYRIGHT TODO
%{_bindir}/eina
%{_datadir}/applications/eina.desktop
%{_datadir}/eina
%{_libdir}/eina
%{_libdir}/*.so.0*
%{_libdir}/*.so.1*


%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Tue Mar 10 2009 Allisson Azevedo <allisson@gmail.com> 0.7.3-6
- Added gtkvolume patch.

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Feb  5 2009 Allisson Azevedo <allisson@gmail.com> 0.7.3-4
- Fix to consistently use macros.
- Fix devel requires.
- Disable Rpath.

* Thu Feb  5 2009 Allisson Azevedo <allisson@gmail.com> 0.7.3-3
- Fix devel package permissions.
- Fix files section.

* Thu Feb  5 2009 Allisson Azevedo <allisson@gmail.com> 0.7.3-2
- Fix spec issues.

* Mon Feb 02 2009 Allisson Azevedo <allisson@gmail.com> 0.7.3-1
- Initial rpm release.
